Skip to main content
PATCH
/
campaigns
/
v2
/
{campaignId}
/
columns
/
{columnId}
Update column
curl --request PATCH \
  --url https://inboxapp.com/api/v1/campaigns/v2/{campaignId}/columns/{columnId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "name": "<string>",
  "description": "The lead's job title or role"
}
EOF
{
  "id": "<string>",
  "name": "<string>",
  "type": "<unknown>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Pattern: ^[0-9a-z]+$
columnId
string
required

The ID of the column to update.

Example:

"custom_q5cktl47a6pqa74eu06fz89v"

Body

application/json
name
string

New name for the column.

Required string length: 1 - 255
Example:

"Role"

description
string | null

New description for the column. Pass null to clear.

Maximum string length: 1000
Example:

"The lead's job title or role"

Response

200 - application/json

OK

id
string
required

Unique identifier for the column.

name
string
required

Display name of the column.

type
any
required

The data type of the column.

createdAt
string<date-time>
required

When the column was created.

updatedAt
string<date-time> | null
required

When the column was last updated.

description
string | null

Optional description of what this column contains.